/**
 * 
 * @file AIC3268Mode.h
 * 
 * @brief  Simple setup of AIC3268 for 8ch mixer
 *
 * @copyright Copyright (C) 2021 Texas Instruments Incorporated - http://www.ti.com/
 * All rights reserved. 
 * 
 * Software License Agreement
 * Texas Instruments (TI) is supplying this software for use solely and
 * exclusively on TI's Microcontroller and/or Data Converter products. 
 * The software is owned by TI and/or its suppliers, and is protected 
 * under applicable @copyright Copyright laws.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS" AND WITH ALL FAULTS.
 * NO WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT
 * NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. TI SHALL NOT, UNDER ANY
 * CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR CONSEQUENTIAL
 * DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 */ 
#include "reg_value_type.h"

#define AIC3268_MODE        3

extern volatile unsigned char mode;

void Audio_AppWrite(const reg_value *data, unsigned int length_data, unsigned char address);                            //Audio Chip Configuration Without Checking the Register
void Audio_RegValWriteDSP(const reg_value *data, unsigned int length_data, unsigned char address);                      //DSP Data Write
void Audio_AppWriteDSP(const reg_value *data,
                    const reg_value *DSP_A_data,
                    const reg_value *DSP_D_data,
                    unsigned int length_data,
                    unsigned int length_DSP_A,
                    unsigned int length_DSP_D,
                    unsigned char address);                                                                             //Audio Chip Configuration With checking the Register 254 and 255

void AIC_Init(unsigned char address);                                                                                   //AIC Part Initial
void Delay_ms(unsigned int time);           //Delay
